# MS-Connector v1.4.1 Release vom 11.12.2023

Der MS-Connector implementiert eine Bridge zwischen dem österreichischen E-ID System und dem eIDAS Framework um ausländischen Benutzern eine Anmeldung am österreichischen Service-Providern zu ermöglichen.

### Änderungen in dieser Version

  - JSON basierten Statistik Logging um allgemeinen Status erweitert
  - Logging angepasst um eine Auftrennung zwischen MS-Connector und MS-Proxy-Service zu ermöglichen
  - Aktualisierung von Drittherstellerbibliotheken
    - SpringBoot 2.7.18
    - Spring-Framework 5.3.31
    - joda-time 1.12.5
    - jackson 2.16.0
    - guava 32.1.3-jre
    - commons-io 2.15.1


### Durchführen eines Updates 

Nachfolgend finden Sie die erforderlichen Schritte für das Update eines bestehenden MS-specific eIDAS Connectors auf die aktuelle Version 1.4.1. Das vollständige Handbuch mit allen Konfigurationsparametern finden Sie im Releasepackage im Verzeichnis: _infos/handbook/_

### Ausgehend von einer bestehenden Version 1.4.1 

1. Stoppen Sie die *MS-Connector* Applikation und fertigen Sie eine Sicherungskopie Ihrer Applikation inklusive Konfiguration an
2. Entpacken Sie das Releasepacket *ms_specific_connector-1.4.1-dist.zip* in ein temporäres Verzeichnis welches in weiterer Folge __MsConnectorPackage__ bezeichnet wird.
3. Kopieren sie die Applikation __MsConnectorPackage__/ms_connector.war nach in das Applikationsverzeichnis ihres Applikationsservers
4. Übername der neuen Logging-Konfiguration aus ```config/logback_config.xml```
   - Der Schlüssel ```${appId:-common}``` wird, sofern der Log-Nachricht aus dem MS-Connector stammt durch ```connector``` erstetzt.  Sollte der Log-Nachricht nicht aus dem MS-Connector stammen z.B. allgemeiner Code aus dem Tomcat wird der Defaultschlüssel ```common``` verwendet. Entsprechend dem z.B. für den technischen Log interlegeten Filename Pattern führt das z.B zur Logdatei: ```${catalina.base}/logs/eidas-connector.2023-12-11.log```

